#mistakeModal.modal {
    background-color: rgba(0,0,0,0.4);

    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10050;
    display: none;
    overflow: auto;
    outline: 0;
  }
  .modal-dialog {
    position: relative;
    width: auto;
    margin: .5rem;
    pointer-events: none;
  }

  @media (min-width: 576px) {
    .modal-dialog {
      max-width: 500px;
      margin: 1.75rem auto;
    }
  }

  .modal-content {
      position: relative;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -ms-flex-direction: column;
      flex-direction: column;
      width: 100%;
      pointer-events: auto;
      background-color: #fff;
      background-clip: padding-box;
      border: 1px solid rgba(0,0,0,.2);
      border-radius: .3rem;
      outline: 0;
  }
  .modal-header {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: start;
      -ms-flex-align: start;
      align-items: flex-start;
      -webkit-box-pack: justify;
      -ms-flex-pack: justify;
      justify-content: space-between;
      padding: 1rem;
      border-bottom: 1px solid #e9ecef;
      border-top-left-radius: .3rem;
      border-top-right-radius: .3rem;
  }
  .modal-body {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
  }
  .modal-footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 1rem;
  }
  .form-group {
    margin-bottom: 1rem;
    }
  .row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
  }
  .col-form-label {
    padding-top: calc(.375rem + 1px);
    padding-bottom: calc(.375rem + 1px);
    margin-bottom: 0;
    font-size: inherit;
    line-height: 1.5;
  }
  .col-md-3 {
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
  }
  @media (min-width: 768px) {
    .col-md-3 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }
  }
  .form-control {
    display: block;
    width: 100%;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  }

  .form-control.is-valid {
      border-color: #28a745;
  }
  .form-control.is-invalid {
      border-color: #dc3545;
  }
  .invalid-feedback {
      display: block;
      width: 100%;
      margin-top: .25rem;
      font-size: 100%;
      color: #dc3545;
  }


  #mistake-btn-send, #mistake-btn-send-upon {
    color: #fff;
    border: 1px solid #007bff;

    font-size: calc(16px + var(--font-size-adjust-px));
    background-color: #0049bc;
    border-radius: 0;
    width: 180px;
    height: 50px;
    margin-right: 20px;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  #mistake-btn-send:hover, #mistake-btn-send-upon:hover {
    color: #0049bc;
    background: white;
    box-shadow: none;
  }
  #mistake-btn-close, #mistake-btn-close-upon {
    font-size: calc(16px + var(--font-size-adjust-px));
    color: #0049bc;
    background-color: white;
    border-radius: 0;
    border: 1px solid #0049bc;
    width: 180px;
    height: 50px;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  #mistake-btn-close:hover, #mistake-btn-close-upon:hover {
    color: white;
    background-color: #0049bc;
  }

    .mistakeModal input {
    border-radius: 15px;
    border: solid 1px #c4c4c4;
    width: 30rem;
    height: 3rem;
    margin-bottom: 1rem;
  }
  .mistakeModal textarea {
    border-radius: 15px;
    border: solid 1px #c4c4c4;
    width: 30rem;
    height: 15rem;
    margin-bottom: 1rem;
  }
  .alert {
    margin: auto;
    width: 35rem;
  }

  #mistakeForm input[type=text], input[type=email], textarea {
    -webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
    outline: none;
    margin: 5px 1px 3px 0px;
    border: 1px solid #DDDDDD;
  }
  #mistakeForm input[type=text]:focus, input[type=email]:focus, textarea:focus {
    box-shadow: 0 0 5px rgba(0, 73, 188, 1);
    /*margin: 5px 1px 3px 0px;*/
    border: 1px solid rgba(0, 73, 188, 1);
  }

  #mistakeForm input, textarea {
    font-size: calc(12px + var(--font-size-adjust-px));
    padding: 10px;
  }
  #mistakeForm input::placeholder, textarea::placeholder {
    font-size: calc(12px + var(--font-size-adjust-px));
  }
